- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Environment Class Reference

A static class to wrap getenv() and putenv(). More...

`#include <genvironment.h>`

## Static Public Member Functions
static std::string | get (const std::string &name, const std::string &default_)
| Returns the environment variable value or the given default. More...
static void | put (const std::string &name, const std::string &value)
| Sets the environment variable value. More...

## Detailed Description

A static class to wrap getenv() and putenv().

Definition at line 36 of file genvironment.h.

## Member Function Documentation

std::string G::Environment::get | ( | const std::string & | name,
|  | const std::string & | default_
| ) |  |
| static

Returns the environment variable value or the given default.

Definition at line 25 of file genvironment_unix.cpp.

Referenced by G::hostname(), and G::GetOpt::wrapDefault().

static void G::Environment::put | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |
| static

Sets the environment variable value.

The documentation for this class was generated from the following files:

- genvironment.h
- genvironment_unix.cpp